## puppetlabs-ring-middleware-clojure 1.0.0

=== debian/changelog ===
puppetlabs-ring-middleware-clojure (1.0.0-2) unstable; urgency=medium

  * Team upload.

  [ Cyril Brulebois ]
  * Fix FTBFS by running tests in a specific order. Instead of blindly
    (reverse-)sorting the results of the find command and trusting it to
    be right, encode a suitable sequence of tests (Closes: #917600). Also
    make sure to error out when tests are added or removed, to make sure
    this sequence get refreshed when needed.
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 30 Dec 2018 11:31:32 +0100

puppetlabs-ring-middleware-clojure (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #855738)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 05 Aug 2017 17:56:27 -0400
