=== debian/control ===
Source: puppetlabs-ring-middleware-clojure
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends:
 debhelper (>= 10),
 javahelper (>= 0.32),
 maven-repo-helper (>= 1.7),
 clojure (>= 1.8),
 libtext-markdown-perl | markdown,
 libclj-time-clojure (>= 0.11.0),
 libcheshire-clojure (>= 5.6.1),
 libcompojure-clojure (>= 1.5.0),
 libtools-logging-clojure,
 libprismatic-schema-clojure (>= 1.1.0),
 libpuppetlabs-http-client-clojure (>= 0.5.0),
 libkitchensink-clojure (>= 1.3.0),
 libssl-utils-clojure (>= 0.8.1),
 libtools-reader-clojure (>= 1.0.0),
 libtools-macro-clojure (>= 0.1.5),
 libtrapperkeeper-clojure,
 libtrapperkeeper-webserver-jetty9-clojure, 
 libring-core-clojure (>= 1.4.0),
 libslingshot-clojure (>= 0.12.2),
 default-jdk-headless
Standards-Version: 4.0.0
Vcs-Git: https://salsa.debian.org/java-team/puppetlabs-ring-middleware-clojure.git
Vcs-Browser: https://salsa.debian.org/java-team/puppetlabs-ring-middleware-clojure
Homepage: https://github.com/puppetlabs/ring-middleware

Package: libpuppetlabs-ring-middleware-clojure
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Recommends: ${java:Recommends}
Description: common Ring middleware for Puppet projects
 This is a Ring middleware meant for use with the Trapperkeeper Jetty9
 webservice. The package also contains common Ring middleware between Puppet
 projects and helpers to be used with it.
