## puppetlabs-ring-middleware-clojure 1.3.0

=== debian/changelog ===
puppetlabs-ring-middleware-clojure (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * d/patches: fix snakeyaml error in 0001. (Closes: #980676)
  * d/tests: fix failure in build and run proper tests for unittests.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 24 Jan 2021 11:27:28 -0500

puppetlabs-ring-middleware-clojure (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build with leiningen.
  * d/control: use dh13.
  * d/control: Standards-Version update to 4.5.1. Add Rules-Requires-Root.
  * d/tests: add autopkgtests.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 22 Dec 2020 16:29:29 -0500

puppetlabs-ring-middleware-clojure (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: tighten dependency on prismatic-schema. (Closes: #975221)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 19 Dec 2020 14:14:15 -0500

puppetlabs-ring-middleware-clojure (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * debian/rules: add code to manage upstream tags.
  * New upstream release.
  * Move the package to the Clojure team:
    - Update Maintainer and VCS URLs.
    - Rework git repository to use upstream git as base.
  * Use debhelper-compat.
  * Standards-Version: 4.5.0.
  * Ran wrap-and-sort -bastk, and removed build-depends versions when
    satisfied in Stable.
  * Add removed-clean-orphaned-bundles.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Nov 2020 22:36:24 +0100
