=== debian/control ===
Source: puppetlabs-ring-middleware-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders:
 Apollon Oikonomopoulos <apoikos@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk-headless,
 javahelper,
 maven-repo-helper,
 libclojure-java,
 libtools-logging-clojure,
 libcheshire-clojure,
 libprismatic-schema-clojure (>= 1.1.12),
 libring-core-clojure (>= 1.6.2-4),
 libslingshot-clojure,
 libpuppetlabs-http-client-clojure,
 libkitchensink-clojure (>= 3.1.1-2),
 libssl-utils-clojure (>= 3.1.0),
 libpuppetlabs-i18n-clojure (>= 0.9.0-2),
 libtrapperkeeper-webserver-jetty9-clojure,
 libtrapperkeeper-clojure (>= 3.1.0),
 libcompojure-clojure,
 libcomplete-clojure <!nocheck>,
 leiningen,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/clojure-team/puppetlabs-ring-middleware-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/puppetlabs-ring-middleware-clojure
Homepage: https://github.com/puppetlabs/ring-middleware
Rules-Requires-Root: no

Package: libpuppetlabs-ring-middleware-clojure
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 libclojure-java,
 libtools-logging-clojure,
 libcheshire-clojure,
 libprismatic-schema-clojure (>= 1.1.12),
 libring-core-clojure,
 libslingshot-clojure,
 libpuppetlabs-http-client-clojure,
 libkitchensink-clojure,
 libssl-utils-clojure,
 libpuppetlabs-i18n-clojure,
Recommends:
 ${java:Recommends},
Description: common Ring middleware for Puppet projects
 This is a Ring middleware meant for use with the Trapperkeeper Jetty9
 webservice. The package also contains common Ring middleware between Puppet
 projects and helpers to be used with it.
