=== debian/tests/control ===
Tests: build
Depends: @, clojure
Restrictions: superficial

# Fails due to a classpath issue in core-async, needs to be debugged
#Tests: unittests
#Depends: @, clojure, libcompojure-clojure, libtrapperkeeper-webserver-jetty9-clojure
