=== debian/watch ===
version=4
opts=filenamemangle=s!.*/archive/(.*)!ring-middleware-$1! \
 https://github.com/puppetlabs/ring-middleware/releases	.*/archive/([\d.]+)\.tar\.gz
