## puppetlabs-ring-middleware-clojure 1.3.1

=== debian/changelog ===
puppetlabs-ring-middleware-clojure (1.3.1-3) unstable; urgency=medium

  * d/control:
    + bump build-deps with maven fixes (Closes: #1030476)
    + add myself to Uploaders
    + bump Standards-Version, no changes needed
    + compojure only needed for tests
    - remove redundant nrepl-complete build-dep
    - remove redundant unversioned binary deps
  * d/patches: require clojure 1.x in lein local
  * d/patches: drop jackson and snakeyaml version overrides
  * d/rules: no need to clean unexisting folder
  * d/rules: get rid of override_jh_installibs
  * d/tests: streamline classpaths
  * only ship README.md in docs

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 06 Feb 2023 23:28:44 -0500

puppetlabs-ring-middleware-clojure (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * d/tests: allow-stderr. (Closes: #1027391)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 13 Jan 2023 11:21:37 -0500

puppetlabs-ring-middleware-clojure (1.3.1-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: New email for the Clojure Team.

  [ Jérôme Charaoui ]
  * New upstream version 1.3.1
  * d/patches: rebase for new upstream version
  * d/watch: switch to git mode
  * d/tests: fix & reenable unittests in autopkgtest
  * d/control: bump Standards-Version, no changes needed
  * add d/gbp.conf with team defaults

 -- Jérôme Charaoui <jerome@riseup.net>  Tue, 18 Oct 2022 22:29:13 -0400
