=== debian/control ===
Source: puppetlabs-ring-middleware-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
Uploaders:
 Apollon Oikonomopoulos <apoikos@debian.org>,
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk-headless,
 javahelper,
 leiningen,
 libcheshire-clojure,
 libclojure-java,
 libcompojure-clojure <!nocheck>,
 libkitchensink-clojure (>= 3.2.1),
 libprismatic-schema-clojure (>= 1.1.12),
 libpuppetlabs-http-client-clojure (>= 2.1.0-4),
 libpuppetlabs-i18n-clojure (>= 0.9.2-2),
 libring-core-clojure (>= 1.6.2-4),
 libslingshot-clojure,
 libssl-utils-clojure (>= 3.5.0-2),
 libtools-logging-clojure,
 libtrapperkeeper-clojure (>= 3.2.0-2),
 libtrapperkeeper-webserver-jetty9-clojure (>= 4.4.1-4) <!nocheck>,
 maven-repo-helper,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/clojure-team/puppetlabs-ring-middleware-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/puppetlabs-ring-middleware-clojure
Homepage: https://github.com/puppetlabs/ring-middleware
Rules-Requires-Root: no

Package: libpuppetlabs-ring-middleware-clojure
Architecture: all
Depends:
 libprismatic-schema-clojure (>= 1.1.12),
 ${java:Depends},
 ${misc:Depends},
Recommends:
 ${java:Recommends},
Description: common Ring middleware for Puppet projects
 This is a Ring middleware meant for use with the Trapperkeeper Jetty9
 webservice. The package also contains common Ring middleware between Puppet
 projects and helpers to be used with it.
