=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,12 @@
 	cd target && ln -sf $(NAME)-$(DEB_VERSION_UPSTREAM).jar $(NAME).jar
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	lein test
-
-override_jh_installlibs:
-	jh_installlibs target/$(NAME).jar
+endif
 
 override_dh_clean:
 	rm -f debian/maven-repo
-	rm -Rf target ressources
 	rm -f debian/pom.xml
+	rm -Rf target
 	dh_clean
