=== debian/tests/control ===
Tests: build
Depends:
 clojure,
 @,
Restrictions: superficial

Tests: unittests
Depends:
 clojure,
 libbultitude-clojure,
 libcompojure-clojure,
 libtrapperkeeper-webserver-jetty9-clojure,
 @,
Restrictions: allow-stderr
