=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/puppetlabs/ring-middleware.git \
refs/tags/@ANY_VERSION@
