## puppetlabs-ring-middleware-clojure 2.0.4

=== debian/changelog ===
puppetlabs-ring-middleware-clojure (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
  * d/control: flag test-only deps with nocheck
  * d/control: bump Standards-Version, no changes needed
  * d/patches: refresh patch for new upstream version
  * d/patches: add patch to rollback to jetty9
  * d/tests: add to explicit unittest dependencies

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 24 Feb 2025 22:49:44 -0500

puppetlabs-ring-middleware-clojure (1.3.1-4) unstable; urgency=medium

  * d/control: bump Standards-Version, no changes needed
  * d/rules: fix ftbfs in reproducible builds
  * d/rules: improve cleanup after build (Closes: #1047565)

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 10 Apr 2024 23:22:39 -0400
