=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libcheshire-clojure,
  libclojure-java,
  libcompojure-clojure <!nocheck>,
- libkitchensink-clojure (>= 3.2.1),
+ libkitchensink-clojure (>= 3.2.1) <!nocheck>,
  libprismatic-schema-clojure (>= 1.1.12),
  libpuppetlabs-http-client-clojure (>= 2.1.0-4),
  libpuppetlabs-i18n-clojure (>= 0.9.2-2),
@@ -21,10 +21,10 @@
  libslingshot-clojure,
  libssl-utils-clojure (>= 3.5.0-2),
  libtools-logging-clojure,
- libtrapperkeeper-clojure (>= 3.2.0-2),
+ libtrapperkeeper-clojure (>= 3.2.0-2) <!nocheck>,
  libtrapperkeeper-webserver-jetty9-clojure (>= 4.4.1-4) <!nocheck>,
  maven-repo-helper,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Vcs-Git: https://salsa.debian.org/clojure-team/puppetlabs-ring-middleware-clojure.git
 Vcs-Browser: https://salsa.debian.org/clojure-team/puppetlabs-ring-middleware-clojure
 Homepage: https://github.com/puppetlabs/ring-middleware
