=== debian/rules ===
--- 
+++ 
@@ -22,11 +22,24 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# backup upstream pki files
+	cd dev-resources && ( mv ssl ssl.save; mkdir ssl )
+	cd dev-resources/config/jetty && ( mv ssl ssl.save; mkdir -p ssl/certs ssl/private_keys )
+	# regenerate tls certs
+	./dev-resources/gen-pki.sh
+	cp dev-resources/ssl/cert.pem dev-resources/config/jetty/ssl/certs/localhost.pem
+	cp dev-resources/ssl/key.pem dev-resources/config/jetty/ssl/private_keys/localhost.pem
+	cp dev-resources/ssl/ca.pem dev-resources/config/jetty/ssl/certs/ca.pem
+	# run tests
 	lein test
+	# restore upstream pki files
+	cd dev-resources && ( rm -rf ssl; mv ssl.save ssl )
+	cd dev-resources/config/jetty && ( rm -rf ssl; mv ssl.save ssl )
 endif
 
 override_dh_clean:
 	rm -f debian/maven-repo
 	rm -f debian/pom.xml
-	rm -Rf target
+	rm -rf .lein-failures
+	rm -Rf target resources .lein
 	dh_clean
