=== debian/tests/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
  clojure,
  libbultitude-clojure,
  libcompojure-clojure,
+ libkitchensink-clojure,
+ libtrapperkeeper-clojure,
  libtrapperkeeper-webserver-jetty9-clojure,
  @,
 Restrictions: allow-stderr
